Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.security.ecc
Class ECCurveFp

    java.lang.Object
      com.sun.squawk.security.ecc.ECCurveFp

    public final class ECCurveFp

extends Object

Field Summary
`protected int[]` | `a`
`protected boolean` | `aIsMinus3`
`protected int[]` | `b`
`protected FFA` | `ffa`
`protected PrimeField` | `field`
`protected ECPoint` | `generator`
`protected int` | `h`
`protected PrimeField` | `order`
`protected int[]` | `t1`
`protected int[]` | `t2`
`protected int[]` | `t3`
`protected int[]` | `t4`

Method Summary
`void` | `add(ECPoint a, ECPoint b)`
`void` | `copy(ECPoint dst, ECPoint src)`
`boolean` | `decodePoint(ECPoint point, byte[] data, int offset, int length)`
`int` | `encodePoint(ECPoint point, byte[] data, int offset)`
`int[]` | `getA()`
`int[]` | `getB()`
`PrimeField` | `getField()`
`ECPoint` | `getGenerator()`
`int` | `getH()`
`static ECCurveFp` | `getInstance()`
`int[]` | `getN()`
`PrimeField` | `getOrder()`
`boolean` | `isOnCurve(ECPoint o1)`
`void` | `makeAffine(ECPoint a)`
`void` | `multiply(ECPoint R, int[] k)`
`void` | `multiplySum(ECPoint R1, int[] k1, ECPoint R2, int[] k2)`
`void` | `negate(ECPoint a)`
`void` | `twice(ECPoint a)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### aIsMinus3

    protected final boolean aIsMinus3

### t1

    protected final int[] t1

### t2

    protected final int[] t2

### t3

    protected final int[] t3

### t4

    protected final int[] t4

### field

    protected final PrimeField field

### a

    protected final int[] a

### b

    protected final int[] b

### h

    protected final int h

### generator

    protected final ECPoint generator

### order

    protected final PrimeField order

### ffa

    protected final FFA ffa

Method Detail

### getInstance

    public static ECCurveFp getInstance()

### add

    public void add(ECPoint a,
                    ECPoint b)

### negate

    public void negate(ECPoint a)

### twice

    public void twice(ECPoint a)

### makeAffine

    public void makeAffine(ECPoint a)

### multiply

    public void multiply(ECPoint R,
                         int[] k)

### multiplySum

    public void multiplySum(ECPoint R1,
                            int[] k1,
                            ECPoint R2,
                            int[] k2)

### isOnCurve

    public boolean isOnCurve(ECPoint o1)

### getField

    public PrimeField getField()

### getA

    public int[] getA()

### getB

    public int[] getB()

### getOrder

    public PrimeField getOrder()

### getN

    public int[] getN()

### getH

    public int getH()

### getGenerator

    public ECPoint getGenerator()

### decodePoint

    public boolean decodePoint(ECPoint point,
                               byte[] data,
                               int offset,
                               int length)

### encodePoint

    public int encodePoint(ECPoint point,
                           byte[] data,
                           int offset)

### copy

    public void copy(ECPoint dst,
                     ECPoint src)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"